#!/usr/bin/perl

use strict;
use warnings;
use Module::Build::IkiWiki;

my $build = Module::Build::IkiWiki->new(
            module_name     =>  'IkiWiki::Plugin::hl',
            license         =>  'gpl',
            dist_author         => 'Victor Moral <<victor@taquiones.net>>',
            dist_version_from   => 'lib/IkiWiki/Plugin/hl.pm',
            dist_abstract       => q(Simple syntax highlight in ikiwiki),
            add_to_cleanup      => [ 'IkiWiki-Plugin-hl-*' ],
            create_makefile_pl => 'traditional',
            build_requires => {
                'Test::More' => 0,
            },
            ikiwiki_paths       =>  {
                'templates' =>  q(/usr/share/ikiwiki/templates),
                'css'       =>  q(/usr/share/ikiwiki/basewiki),
                },
            ikiwiki_templates   =>  [ glob('extras/*.tmpl') ],
            ikiwiki_stylesheets =>  [ glob('extras/*.css') ],
        );

$build->create_build_script();

